vm_type detection for nutanix cloud instances

Bug #1788219 reported by Simon Poirier on 2018-08-21
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
landscape-client (Ubuntu)
Undecided
Simon Poirier
Trusty
Undecided
Simon Poirier
Xenial
Undecided
Simon Poirier
Bionic
Undecided
Simon Poirier
Cosmic
Undecided
Simon Poirier

Bug Description

[Impact]

 * The dmi id for Nutanix cloud instances was added to the detection list
   for it to be properly detected as KVM.

 [Test Case]

 * create a vm (uvt-kvm create --no-start vm_name release=xenial)
 * virsh edit vm_name (and create or update sysinfo manufacturer to be "nutanix", like https://pastebin.ubuntu.com/p/C5mkc2B7rx/)
 * install landscape-client/common and call landscape-config
 * see the computer is detected as kvm

[Regression Potential]

 * The hypervisor detection change is both trivial and similar to previous changes and is specific enough not to conflict with other hypervisors.

[Other Info]

 * Patches are already in the upstreams trunk.
 * Changes have been tested by some affected users

Related branches

Simon Poirier (simpoir) on 2018-09-11
Changed in landscape-client (Ubuntu):
status: New → Fix Committed
status: Fix Committed → New
Simon Poirier (simpoir) on 2018-09-14
summary: - vm_type for nutanix cloud instances
+ backport upstream landscape-client fixes
description: updated

The attachment "cosmic.debdiff" seems to be a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. If the attachment isn't a patch, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are member of the ~ubuntu-sponsors, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issue please contact him.]

tags: added: patch
Simon Poirier (simpoir) on 2018-09-18
description: updated
Simon Poirier (simpoir) on 2018-12-10
description: updated
description: updated
description: updated
Simon Poirier (simpoir) on 2018-12-11
summary: - backport upstream landscape-client fixes
+ vm_type detection for nutanix cloud instances
Simon Poirier (simpoir) on 2018-12-11
description: updated
Changed in landscape-client (Ubuntu):
status: New → Fix Released
assignee: nobody → Simon Poirier (simpoir)
Changed in landscape-client (Ubuntu Cosmic):
status: New → In Progress
assignee: nobody → Simon Poirier (simpoir)
Changed in landscape-client (Ubuntu Bionic):
status: New → In Progress
assignee: nobody → Simon Poirier (simpoir)
Changed in landscape-client (Ubuntu Xenial):
status: New → In Progress
assignee: nobody → Simon Poirier (simpoir)
Andreas Hasenack (ahasenack) wrote :

Packages re-uploaded to proposed for each ubuntu release.

Changed in landscape-client (Ubuntu Trusty):
status: New → In Progress
assignee: nobody → Simon Poirier (simpoir)

Hello Simon, or anyone else affected,

Accepted landscape-client into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/landscape-client/18.01-0ubuntu4.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in landscape-client (Ubuntu Cosmic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-cosmic
Changed in landscape-client (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed-bionic
Timo Aaltonen (tjaalton) wrote :

Hello Simon, or anyone else affected,

Accepted landscape-client into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/landscape-client/18.01-0ubuntu3.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in landscape-client (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed-xenial
Timo Aaltonen (tjaalton) wrote :

Hello Simon, or anyone else affected,

Accepted landscape-client into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/landscape-client/16.03-0ubuntu2.16.04.5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Timo Aaltonen (tjaalton) wrote :

Hello Simon, or anyone else affected,

Accepted landscape-client into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/landscape-client/14.12-0ubuntu6.14.04.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in landscape-client (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed-trusty
Simon Poirier (simpoir) on 2019-02-04
tags: added: verification-done verification-done-bionic verification-done-cosmic verification-done-trusty verification-done-xenial
removed: verification-needed verification-needed-bionic verification-needed-cosmic verification-needed-trusty verification-needed-xenial
tags: removed: verification-done
Brian Murray (brian-murray) wrote :

Please add some verification details in addition to adding the v-done tags.

Changed in landscape-client (Ubuntu Cosmic):
status: Fix Committed → Incomplete
Changed in landscape-client (Ubuntu Bionic):
status: Fix Committed → Incomplete
Changed in landscape-client (Ubuntu Xenial):
status: Fix Committed → Incomplete
Changed in landscape-client (Ubuntu Trusty):
status: Fix Committed → Incomplete
Simon Poirier (simpoir) wrote :

I tested the fix against trusty, xenial, bionic and cosmic VM instances through multipass.libvirt
I set the relevant bios flags:

env EDITOR="sed -i '2i<q:commandline xmlns:q=\"http://libvirt.org/schemas/domain/qemu/1.0\"><q:arg value=\"-smbios\"/><q:arg value=\"type=1,manufacturer=Nutanix\"/><q:arg value=\"-smbios\"/><q:arg value=\"type=3,manufacturer=Red Hat\"/></q:commandline>'" multipass.virsh edit ccli
multipass stop ccli && multipass start ccli

checked dmidecode matches:
Handle 0x0100, DMI type 1, 27 bytes
System Information
        Manufacturer: Nutanix
        Product Name: Standard PC (i440FX + PIIX, 1996)
[...]
Handle 0x0300, DMI type 3, 21 bytes
Chassis Information
        Manufacturer: Red Hat
[...]

installed the packages from -proposed and registered landscape
showing vm_type as "kvm".
https://screenshots.firefox.com/IoS0unLONKmTWW2m/landscape.canonical.com

Simon Poirier (simpoir) on 2019-02-07
Changed in landscape-client (Ubuntu Trusty):
status: Incomplete → Fix Committed
Changed in landscape-client (Ubuntu Xenial):
status: Incomplete → Fix Committed
Changed in landscape-client (Ubuntu Bionic):
status: Incomplete → Fix Committed
Changed in landscape-client (Ubuntu Cosmic):
status: Incomplete → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 18.01-0ubuntu4.1

---------------
landscape-client (18.01-0ubuntu4.1) cosmic; urgency=medium

  * debian/patches/nutanix-kvm.patch: Update vm_info.py to include Nutanix
    hypervisor. (LP: #1788219)
  * Fixes for release-upgrade:
    - debian/patches/release-upgrade-success.patch: Enable landscape-client to
      survive trusty upgrade. (LP: #1670291)
    - debian/patches/post-upgrade-reboot.patch: Force reboot operation in
      case systemd fails. (LP: #1670291)
  * debian/patches/unicode-tags-script.patch: Permit environments
    containing unicode chars for script execution. (LP: #1765518)
  * debian/patches/1616116-resync-loop.patch:
    Clear hash id database on package resync. (LP: #1616116)

 -- Simon Poirier <email address hidden> Tue, 27 Nov 2018 09:24:22 -0500

Changed in landscape-client (Ubuntu Cosmic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for landscape-client has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 18.01-0ubuntu3.2

---------------
landscape-client (18.01-0ubuntu3.2) bionic; urgency=medium

  * debian/patches/nutanix-kvm.patch: Update vm_info.py to include Nutanix
    hypervisor. (LP: #1788219)
  * Fixes for release-upgrade:
    - debian/patches/release-upgrade-success.patch: Enable landscape-client to
      survive trusty upgrade. (LP: #1670291)
    - debian/patches/post-upgrade-reboot.patch: Force reboot operation in
      case systemd fails. (LP: #1670291)
  * debian/patches/unicode-tags-script.patch: Permit environments
    containing unicode chars for script execution. (LP: #1765518)
  * debian/patches/1616116-resync-loop.patch:
    Clear hash id database on package resync. (LP: #1616116)

 -- Simon Poirier <email address hidden> Tue, 27 Nov 2018 09:24:22 -0500

Changed in landscape-client (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 16.03-0ubuntu2.16.04.5

---------------
landscape-client (16.03-0ubuntu2.16.04.5) xenial; urgency=medium

  * debian/patches/nutanix-kvm.patch: Update vm_info.py to include Nutanix
    hypervisor (LP: #1788219)
  * Fixes for release-upgrade (LP: #1699179).
    - debian/patches/1699179-release-upgrade-check.diff: Check if ubuntu-
      release-upgrader is running before apt-update. (LP: #1699179)
    - debian/patches/release-upgrade-success.patch: Enable landscape-client to
      survive trusty upgrade. (LP: #1670291)
    - debian/patches/post-upgrade-reboot.patch: Force reboot operation in
      case systemd fails. (LP: #1670291)
  * debian/patches/1616116-resync-loop.patch:
    Clear hash id database on package resync. (LP: #1616116)

 -- Simon Poirier <email address hidden> Tue, 27 Nov 2018 09:24:22 -0500

Changed in landscape-client (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package landscape-client - 14.12-0ubuntu6.14.04.4

---------------
landscape-client (14.12-0ubuntu6.14.04.4) trusty; urgency=medium

  * debian/patches/nutanix-kvm.patch: Update vm_info.py to include Nutanix
    hypervisor. (LP: #1788219)
  * Fixes for release-upgrade (LP: #1699179).
    - debian/patches/1699179-release-upgrade-check.diff: Check if ubuntu-
      release-upgrader is running before apt-update. (LP: #1699179)
    - debian/patches/release-upgrade-success.patch: Enable landscape-client to
      survive trusty upgrade. (LP: #1670291)
    - debian/patches/post-upgrade-reboot.patch: Force reboot operation in
      case systemd fails. (LP: #1670291)
  * debian/patches/1616116-resync-loop.patch:
    Clear hash id database on package resync. (LP: #1616116)

 -- Simon Poirier <email address hidden> Tue, 27 Nov 2018 09:24:22 -0500

Changed in landscape-client (Ubuntu Trusty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers